Author Topic: Help with nested objects  (Read 2249 times)

0 Members and 1 Guest are viewing this topic.

AVCAD

  • Guest
Help with nested objects
« on: August 26, 2004, 10:05:27 AM »
I was wondering if anyone here knew how to change the color of and object.....

The objects are either the AEC_objects or a proxy image....

I know these are actual objects but they are "sort of" blocks...

The objects have the color imbedded to them...meaning if i were to change the color of the layer they are on they stay red of cyan or something...

Does any one know a way to change every single object in a drawing to color bylayer without having to explode or burst these objects.....

Thanks alot..

MP

  • Seagull
  • Posts: 17750
  • Have thousands of dwgs to process? Contact me.
Help with nested objects
« Reply #1 on: August 26, 2004, 10:30:10 AM »
If the writer of said object has not exposed the dxf code for color (62) they may have exposed it to activex. Check the activex properties, you may be able to put the color you want to the object. Start by using -

Code: [Select]
(if (setq ename (car (nentsel)))
    (vlax-dump-object (vlax-ename->vla-object ename) t)
)

What do you see?
Engineering Technologist • CAD Automation Practitioner
Automation ▸ Design ▸ Drafting ▸ Document Control ▸ Client
cadanalyst@gmail.comhttp://cadanalyst.slack.comhttp://linkedin.com/in/cadanalyst

AVCAD

  • Guest
Help with nested objects
« Reply #2 on: August 26, 2004, 01:45:20 PM »
Quote

Command:
Select object: ; IAcadEntity: AutoCAD Entity Interface
; Property values:
;   Application (RO) = #<VLA-OBJECT IAcadApplication 00afa5fc>
;   Document (RO) = #<VLA-OBJECT IAcadDocument 084ea8c0>
;   Handle (RO) = "C8D5"
;   HasExtensionDictionary (RO) = -1
;   Hyperlinks (RO) = #<VLA-OBJECT IAcadHyperlinks 0fd1eb44>
;   Layer = "A-WALL-OPEN"
;   Linetype = "BYLAYER"
;   LinetypeScale = 1.0
;   Lineweight = -1
;   ObjectID (RO) = 2127931624
;   ObjectName (RO) = "AecDbOpening"
;   OwnerID (RO) = 2130418896
;   PlotStyleName = "ByLayer"
;   TrueColor = #<VLA-OBJECT IAcadAcCmColor 0fd18200>
;   Visible = -1
; Methods supported:
;   ArrayPolar (3)
;   ArrayRectangular (6)
;   Copy ()
;   Delete ()
;   GetBoundingBox (2)
;   GetExtensionDictionary ()
;   GetXData (3)
;   Highlight (1)
;   IntersectWith (2)
;   Mirror (2)
;   Mirror3D (3)
;   Move (2)
;   Rotate (2)
;   Rotate3D (3)
;   ScaleEntity (2)
;   SetXData (2)
;   TransformBy (1)
;   Update ()

Command:


This is what I got when I used the code above.....I think its the Truecolor section I need to modify.

Is there a way to do that??